Get current organization subscription status
GET /v1/billing/subscription
GET
/v1/billing/subscription
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”The current subscription
Current organization subscription status
object
status
required
Subscription status
string
planName
Name of the subscribed plan
string
currentPeriodEnd
End of the current billing period
string format: date-time
paddleCustomerId
Paddle customer ID
string
paddleSubscriptionId
Paddle subscription ID
string
billingCycle
Billing cycle interval
string
nextBilledAt
When the next bill will be received
string format: date-time
Unauthorized, authentication required
Standard error response
object
status
required
HTTP status code
integer
Example
400 code
required
Machine-readable error code in snake_case
string
message
required
Error message
string
Example
Validation failed details
Additional error details
string
Example
Project name must be between 3 and 60 charactersToo many requests
Rate limit exceeded error response
object
status
required
HTTP status code
integer
Example
429 code
required
Machine-readable error code in snake_case
string
message
required
Error message
string
Example
Too many requests retryAfter
required
Number of seconds until the client can retry
integer
Example
60Headers
Section titled “Headers ” Retry-After
integer
Number of seconds to wait before retrying
Internal server error
Standard error response
object
status
required
HTTP status code
integer
Example
400 code
required
Machine-readable error code in snake_case
string
message
required
Error message
string
Example
Validation failed details
Additional error details
string
Example
Project name must be between 3 and 60 characters